For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesIntegrationsAPI ReferencesRelease notes
GuidesIntegrationsAPI ReferencesRelease notes
    • APIs overview
  • Upload API
    • Errors
  • REST API
    • Authentication
    • File Metadata
    • Add Ons
      • GETDocument info
      • POSTConvert document
      • GETDocument conversion job status
      • POSTConvert video
      • GETVideo conversion job status
    • Changelog
    • Versioning
  • URL API
    • File groups
    • Image processing limitations
    • Image compression
    • Image resize and crop
    • Image rotation
    • Image overlays
    • Image colors
    • Image definition
    • Image recognition
    • Other image operations
    • Proxy
    • Signed URLs
    • CDN settings
    • Integrations
Dashboard
LogoLogo
REST APIConversion

Convert video

POST
https://api.uploadcare.com/convert/video/
POST
/convert/video/
$curl -X POST https://api.uploadcare.com/convert/video/ \
> -H "Accept: application/vnd.uploadcare-v0.7+json" \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "paths": [
> "d52d7136-a2e5-4338-9f45-affbf83b857d/video/",
> "d52d7136-a2e5-4338-9f45-affbf83b857d/video/-/format/ogg/-/quality/best/",
> "28843a09-dd3d-4b8a-ad4f-8aa5f8f60ff2"
> ],
> "store": "1"
>}'
1{
2 "problems": {
3 "13cd56e2-f6d7-4c66-ab1b-ffd13cd6646d": "Bad path \"13cd56e2-f6d7-4c66-ab1b-ffd13cd6646d\". Use UUID or CDN URL"
4 },
5 "result": [
6 {
7 "original_source": "d52d7136-a2e5-4338-9f45-affbf83b857d/video/-/format/ogg/-/quality/best/",
8 "uuid": "d52d7136-a2e5-4338-9f45-affbf83b857d",
9 "token": 445630631,
10 "thumbnails_group_uuid": "575ed4e8-f4e8-4c14-a58b-1527b6d9ee46~1"
11 },
12 {
13 "original_source": "500196bc-9da5-4aaf-8f3e-70a4ce86edae/video/",
14 "uuid": "28843a09-dd3d-4b8a-ad4f-8aa5f8f60ff2",
15 "token": 445630637,
16 "thumbnails_group_uuid": "be3b4d5e-179d-460e-8a5d-69112ac86cbb~1"
17 }
18 ]
19}

Uploadcare video processing adjusts video quality, format (mp4, webm, ogg), and size, cuts it, and generates thumbnails. Processed video is instantly available over CDN.

Was this page helpful?
Previous

Video conversion job status

Next
Built with

Authentication

Authorizationstring

Every request made to https://api.uploadcare.com/ MUST be signed. HTTPS SHOULD be used with any authorization scheme.

Requests MUST contain the Authorization header defining auth-scheme and auth-param: Authorization: auth-scheme auth-param.

Every request MUST contain the Accept header identifying the REST API version: Accept: application/vnd.uploadcare-v0.7+json.

There are two available authorization schemes:

  • For production: Uploadcare, a scheme where a signature, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend.
  • For quick tests: Uploadcare.Simple, a simple scheme where your Secret API Key MUST be specified in every request’s auth-param.

Headers

AcceptstringRequired
Version header.

Request

This endpoint expects an object.
pathslist of stringsOptional

An array of UUIDs of your video files to process together with a set of assigned operations (see documentation).

storeenumOptional

When store is set to "0", the converted files will only be available for 24 hours. "1" makes converted files available permanently. If the parameter is omitted, it checks the Auto file storing setting of your Uploadcare project identified by the public_key provided in the auth-param.

Allowed values:

Response

Success.
problemsmap from strings to strings

Dictionary of problems related to your processing job, if any. Key is the path you requested.

resultlist of objects
Result for each requested path, in case of no errors for that path.

Errors

400
Bad Request Error
401
Unauthorized Error
406
Not Acceptable Error